server:
  port: 22001
  tomcat:
    uri-encoding: UTF-8
  servlet:
    session:
      timeout: 3600

spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.0.7:3368/bcx_fdd?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: v5_enterprise2021
    password: Prod_v5#202109
  redis:
    host: 49.4.21.141 #地址
    port: 6328 #端口
    password: redis20240628
    timeout: 10000 # 连接超时时间（毫秒）
    database: 8 #默认数据库
    jedis:
      pool:
        max-active: 200 # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1 # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10 # 连接池中的最大空闲连接
        min-idle: 0 # 连接池中的最小空闲连接
        time-between-eviction-runs: -1 #逐出扫描的时间间隔(毫秒) 如果为负数,则不运行逐出线程, 默认-1
mybatis-plus:
  mapper-locations: classpath:mybatis/*Mapper.xml
  configuration:
    cache-enabled: false
    use-generated-keys: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    # 字段名称下划线转驼峰命名
    map-underscore-to-camel-case: true

# 日志
logging:
  level:
    com:
      bcxin:
        backend: info
  config: classpath:logback-spring.xml

log:
  # 日志是否上传
  posh: false
  # 日志存放目录
  path: /data/logs
  # 日志打印级别  默认 info
  level: info
  # 是否控制台输出，默认true
  stdout: true

org-auth-config:
  notice-mobile: 18559666576

fdd-config:
  appid: 00001685
  app-secret: IVJ1Q5NJJQW3OHDRGHDAPF6L88LO76YQ
  open-corp-id: 4e6b81e1be6041a9be933b67e580694a
  server-url: https://api.fadada.com/api/v5/
  file-save-path: /data/obpm-demo/uploads/fddfile/
